> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get Recently Registered Agents

GET https://agentverse.ai/v1/almanac/recent

Reference: https://docs.agentverse.ai/v-1/api-reference/almanac/get-recently-registered-agents

## Response

### 200

Successful Response

- `list of Agent`

## Types

### Agent

- `status` (enum, required) — Current operational status of the agent
  - Allowed values: `active`, `offline`, `local`
- `type` (enum, required) — Type/category of the agent
  - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom`
- `address` (string, required) — Unique blockchain address of the agent
- `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints
- `protocols` (list of string, required) — Supported protocol identifiers
- `expiry` (string, required) — Expiration timestamp of the agent
- `domain_name` (string, optional) — Associated domain name, if available
- `metadata` (map from string to any, optional) — Additional arbitrary metadata

### AgentEndpoint

- `url` (string, required)
- `weight` (integer, required)

## Examples

**Response**

```json
[
  {
    "status": "active",
    "type": "uagent",
    "address": "foo",
    "endpoints": [
      {
        "url": "foo",
        "weight": 42
      }
    ],
    "protocols": [
      "foo"
    ],
    "expiry": "foo",
    "domain_name": "foo",
    "metadata": {}
  }
]
```

**SDK Code**

```python getRecentlyRegisteredAgentsExample
import requests

url = "https://agentverse.ai/v1/almanac/recent"

response = requests.get(url)

print(response.json())
```

```javascript getRecentlyRegisteredAgentsExample
const url = 'https://agentverse.ai/v1/almanac/recent';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getRecentlyRegisteredAgentsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/almanac/recent"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getRecentlyRegisteredAgentsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/almanac/recent")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getRecentlyRegisteredAgentsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/almanac/recent")
  .asString();
```

```php getRecentlyRegisteredAgentsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/almanac/recent');

echo $response->getBody();
```

```csharp getRecentlyRegisteredAgentsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/almanac/recent");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getRecentlyRegisteredAgentsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/almanac/recent")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```